WbxmlSerializer (kxml API)
Keywords: org.kxml2.wap.WbxmlSerializer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kxml2.wap
Class WbxmlSerializer

    java.lang.Object
      org.kxml2.wap.WbxmlSerializer

All Implemented Interfaces:
  org.xmlpull.v1.XmlSerializer

    public class WbxmlSerializer

extends java.lang.Object
implements org.xmlpull.v1.XmlSerializer

A class for writing WBXML.

Constructor Summary
`WbxmlSerializer()`

Method Summary
`org.xmlpull.v1.XmlSerializer` | `attribute(java.lang.String namespace, java.lang.String name, java.lang.String value)`
`void` | `cdsect(java.lang.String cdsect)`
`void` | `checkPending(boolean degenerated)`
`void` | `comment(java.lang.String comment)`
`void` | `docdecl(java.lang.String docdecl)`
`void` | `endDocument()`
`org.xmlpull.v1.XmlSerializer` | `endTag(java.lang.String namespace, java.lang.String name)`
`void` | `entityRef(java.lang.String er)`
`void` | `flush()` ATTENTION: flush cannot work since Wbxml documents require buffering.
`int` | `getDepth()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()`
`java.lang.String` | `getPrefix(java.lang.String nsp, boolean create)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `ignorableWhitespace(java.lang.String sp)`
`void` | `processingInstruction(java.lang.String pi)`
`void` | `setAttrStartTable(int page, java.lang.String[] attrStartTable)` Sets the attribute start Table for a given page.
`void` | `setAttrValueTable(int page, java.lang.String[] attrValueTable)` Sets the attribute value Table for a given page.
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setOutput(java.io.OutputStream out, java.lang.String encoding)`
`void` | `setOutput(java.io.Writer writer)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String nsp)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)`
`void` | `setTagTable(int page, java.lang.String[] tagTable)` Sets the tag table for a given page.
`void` | `startDocument(java.lang.String s, java.lang.Boolean b)`
`org.xmlpull.v1.XmlSerializer` | `startTag(java.lang.String namespace, java.lang.String name)`
`org.xmlpull.v1.XmlSerializer` | `text(char[] chars, int start, int len)`
`org.xmlpull.v1.XmlSerializer` | `text(java.lang.String text)`
`void` | `writeWapExtension(int type, java.lang.Object data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WbxmlSerializer

    public WbxmlSerializer()

Method Detail

### attribute

    public org.xmlpull.v1.XmlSerializer attribute(java.lang.String namespace,
                                                  java.lang.String name,
                                                  java.lang.String value)

  Specified by:
    `attribute` in interface `org.xmlpull.v1.XmlSerializer`

### cdsect

    public void cdsect(java.lang.String cdsect)
                throws java.io.IOException

  Specified by:
    `cdsect` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### comment

    public void comment(java.lang.String comment)

  Specified by:
    `comment` in interface `org.xmlpull.v1.XmlSerializer`

### docdecl

    public void docdecl(java.lang.String docdecl)

  Specified by:
    `docdecl` in interface `org.xmlpull.v1.XmlSerializer`

### entityRef

    public void entityRef(java.lang.String er)

  Specified by:
    `entityRef` in interface `org.xmlpull.v1.XmlSerializer`

### getDepth

    public int getDepth()

  Specified by:
    `getDepth` in interface `org.xmlpull.v1.XmlSerializer`

### getFeature

    public boolean getFeature(java.lang.String name)

  Specified by:
    `getFeature` in interface `org.xmlpull.v1.XmlSerializer`

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `org.xmlpull.v1.XmlSerializer`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.xmlpull.v1.XmlSerializer`

### getPrefix

    public java.lang.String getPrefix(java.lang.String nsp,
                                      boolean create)

  Specified by:
    `getPrefix` in interface `org.xmlpull.v1.XmlSerializer`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `org.xmlpull.v1.XmlSerializer`

### ignorableWhitespace

    public void ignorableWhitespace(java.lang.String sp)

  Specified by:
    `ignorableWhitespace` in interface `org.xmlpull.v1.XmlSerializer`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Specified by:
    `endDocument` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### flush

    public void flush()

  ATTENTION: flush cannot work since Wbxml documents require buffering. Thus, this call does nothing.

  Specified by:
    `flush` in interface `org.xmlpull.v1.XmlSerializer`

### checkPending

    public void checkPending(boolean degenerated)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### processingInstruction

    public void processingInstruction(java.lang.String pi)

  Specified by:
    `processingInstruction` in interface `org.xmlpull.v1.XmlSerializer`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)

  Specified by:
    `setFeature` in interface `org.xmlpull.v1.XmlSerializer`

### setOutput

    public void setOutput(java.io.Writer writer)

  Specified by:
    `setOutput` in interface `org.xmlpull.v1.XmlSerializer`

### setOutput

    public void setOutput(java.io.OutputStream out,
                          java.lang.String encoding)
                   throws java.io.IOException

  Specified by:
    `setOutput` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String nsp)

  Specified by:
    `setPrefix` in interface `org.xmlpull.v1.XmlSerializer`

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `org.xmlpull.v1.XmlSerializer`

### startDocument

    public void startDocument(java.lang.String s,
                              java.lang.Boolean b)
                       throws java.io.IOException

  Specified by:
    `startDocument` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### startTag

    public org.xmlpull.v1.XmlSerializer startTag(java.lang.String namespace,
                                                 java.lang.String name)
                                          throws java.io.IOException

  Specified by:
    `startTag` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### text

    public org.xmlpull.v1.XmlSerializer text(char[] chars,
                                             int start,
                                             int len)
                                      throws java.io.IOException

  Specified by:
    `text` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### text

    public org.xmlpull.v1.XmlSerializer text(java.lang.String text)
                                      throws java.io.IOException

  Specified by:
    `text` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### endTag

    public org.xmlpull.v1.XmlSerializer endTag(java.lang.String namespace,
                                               java.lang.String name)
                                        throws java.io.IOException

  Specified by:
    `endTag` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### writeWapExtension

    public void writeWapExtension(int type,
                                  java.lang.Object data)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTagTable

    public void setTagTable(int page,
                            java.lang.String[] tagTable)

  Sets the tag table for a given page. The first string in the array defines tag 5, the second tag 6 etc.

### setAttrStartTable

    public void setAttrStartTable(int page,
                                  java.lang.String[] attrStartTable)

  Sets the attribute start Table for a given page. The first string in the array defines attribute 5, the second attribute 6 etc. Please use the character '=' (without quote!) as delimiter between the attribute name and the (start of the) value

### setAttrValueTable

    public void setAttrValueTable(int page,
                                  java.lang.String[] attrValueTable)

  Sets the attribute value Table for a given page. The first string in the array defines attribute value 0x85, the second attribute value 0x86 etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD